BasicTlsPSKIdentity (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class BasicTlsPSKIdentity

- java.lang.Object
- - org.bouncycastle.crypto.tls.BasicTlsPSKIdentity

- All Implemented Interfaces:
    TlsPSKIdentity

      public class BasicTlsPSKIdentity
      extends java.lang.Object
      implements TlsPSKIdentity

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte[]` | `identity`
    `protected byte[]` | `psk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicTlsPSKIdentity(byte[] identity, byte[] psk)`
    `BasicTlsPSKIdentity(java.lang.String identity, byte[] psk)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getPSK()`
    `byte[]` | `getPSKIdentity()`
    `void` | `notifyIdentityHint(byte[] psk_identity_hint)`
    `void` | `skipIdentityHint()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identity

          protected byte[] identity

    - #### psk

          protected byte[] psk

  - ### Constructor Detail

    - #### BasicTlsPSKIdentity

          public BasicTlsPSKIdentity(byte[] identity,
                             byte[] psk)

    - #### BasicTlsPSKIdentity

          public BasicTlsPSKIdentity(java.lang.String identity,
                             byte[] psk)

  - ### Method Detail

    - #### skipIdentityHint

          public void skipIdentityHint()

      Specified by:
        `skipIdentityHint` in interface `TlsPSKIdentity`

    - #### notifyIdentityHint

          public void notifyIdentityHint(byte[] psk_identity_hint)

      Specified by:
        `notifyIdentityHint` in interface `TlsPSKIdentity`

    - #### getPSKIdentity

          public byte[] getPSKIdentity()

      Specified by:
        `getPSKIdentity` in interface `TlsPSKIdentity`

    - #### getPSK

          public byte[] getPSK()

      Specified by:
        `getPSK` in interface `TlsPSKIdentity`